Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.form.event
Class FormListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.form.event.FormListenerAdapter

All Implemented Interfaces:
  FormListener

    public class FormListenerAdapter

extends java.lang.Object
implements FormListener

Constructor Summary
`FormListenerAdapter()`

Method Summary
`boolean` | `doBeforeAction(Form form)` Fires before any action is performed.
`void` | `onActionComplete(Form form)` Use `onActionComplete(com.gwtext.client.widgets.form.Form, int, String)`
`void` | `onActionComplete(Form form, int httpStatus, java.lang.String responseText)` Fires when an action is completed.
`void` | `onActionFailed(Form form, int httpStatus, java.lang.String responseText)` Fires when an action fails.
`void` | `onClientValidation(Form form, boolean valid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormListenerAdapter

    public FormListenerAdapter()

Method Detail

### onActionComplete

    public final void onActionComplete(Form form)

  Use `onActionComplete(com.gwtext.client.widgets.form.Form, int, String)`

  Parameters:
    `form` - this

### onActionComplete

    public void onActionComplete(Form form,
                                 int httpStatus,
                                 java.lang.String responseText)

  Description copied from interface: `FormListener`
  Fires when an action is completed.

  Specified by:
    `onActionComplete` in interface `FormListener`
  Parameters:
    `form` - this
    `httpStatus` - the http status code
    `responseText` - the result html returned by the server

### onActionFailed

    public void onActionFailed(Form form,
                               int httpStatus,
                               java.lang.String responseText)

  Description copied from interface: `FormListener`
  Fires when an action fails.

  Specified by:
    `onActionFailed` in interface `FormListener`
  Parameters:
    `form` - this
    `httpStatus` - the http status code
    `responseText` - the result html returned by the server

### doBeforeAction

    public boolean doBeforeAction(Form form)

  Description copied from interface: `FormListener`
  Fires before any action is performed. Return false to cancel the action.

  Specified by:
    `doBeforeAction` in interface `FormListener`
  Parameters:
    `form` - this
  Returns:
    false to cancel the action

### onClientValidation

    public void onClientValidation(Form form,
                                   boolean valid)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD